Initiate and Create A Mandate
This endpoint allows the merchant to initiate the mandate creation process from client's ERP to Citi's system in a secure manner.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Idempotency-Id
Your unique identification for a POST request for CitiConnect API to perform idempotency check. Same client_id is to be maintained by the client if client wants to retry request within 48 hours.
Query parameters
client_id
Unique reference which was shared during CitiConnect API Onboarding (client_id which is used during OAuth token generation).
Request
Mandate client details required
mandate_details
initiating_party
debtor
creditor
ultimate
Response
OK
mandate_acceptance
Errors
400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error